## GnomeDbCanvasEntity

GnomeDbCanvasEntity — Draws a graphical representation of a GnomeDbEntity object

## Synopsis

                GnomeDbCanvasEntity;
    GType       gnome_db_canvas_entity_get_type (void);
    GnomeDbCanvasField* gnome_db_canvas_entity_get_field_item
                                                (GnomeDbCanvasEntity *ce,
                                                 GnomeDbField *field);
    gdouble     gnome_db_canvas_entity_get_field_ypos
                                                (GnomeDbCanvasEntity *ce,
                                                 GnomeDbField *field);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GnomeCanvasItem
                   +----GnomeCanvasGroup
                         +----GnomeDbCanvasItem
                               +----GnomeDbCanvasEntity

## Properties

      "entity"               gpointer              : Read / Write
      "popup-menu-func"      gpointer              : Write
      "scale"                gdouble               : Write
      "target"               gpointer              : Read / Write

## Description

This GnomeCanvasItem is self-destroyed when the referenced GnomeDbEntity object is nullified.

## Details

### GnomeDbCanvasEntity

    typedef struct _GnomeDbCanvasEntity GnomeDbCanvasEntity;

### gnome_db_canvas_entity_get_type ()

    GType       gnome_db_canvas_entity_get_type (void);

Returns : |

### gnome_db_canvas_entity_get_field_item ()

    GnomeDbCanvasField* gnome_db_canvas_entity_get_field_item
                                                (GnomeDbCanvasEntity *ce,
                                                 GnomeDbField *field);

Get the GnomeDbCanvasField object representing `field` in `ce`.

`ce` : | a GnomeDbCanvasEntity object
`field` : | a GnomeDbField object
Returns : | the corresponding GnomeDbCanvasField

### gnome_db_canvas_entity_get_field_ypos ()

    gdouble     gnome_db_canvas_entity_get_field_ypos
                                                (GnomeDbCanvasEntity *ce,
                                                 GnomeDbField *field);

Get the Y position of the middle of the GnomeDbCanvasField object representing `field` in `ce`, in `ce`'s coordinates.

`ce` : | a GnomeDbCanvasEntity object
`field` : | a GnomeDbField object
Returns : | the Y coordinate.

## Property Details

### The "`entity`" property

      "entity"               gpointer              : Read / Write

### The "`popup-menu-func`" property

      "popup-menu-func"      gpointer              : Write

Function to create a popup menu on each GnomeDbCanvasEntity.

### The "`scale`" property

      "scale"                gdouble               : Write

Allowed values: >= 0

Default value: 0

### The "`target`" property

      "target"               gpointer              : Read / Write